/* Copyright (C) 2007 Lars Frantzen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * See the LICENSE file for the full license
 */

package info.frantzen.testing.ssmsimulator.ssm;

/**
 * This enumeration represents the three possible kinds of messages:
 * INPUT, OUTPUT or UNOBSERVABLE.
 * @author Lars Frantzen
 * @version 0.1
 */
public enum MessageKind {
    /**
     * an input message
     */
	INPUT,
    /**
     * an output message
     */
	OUTPUT,
    /**
     * an unobservable message
     */
	UNOBSERVABLE
}
