package puppet;


import java.io.File;
import java.util.StringTokenizer;

public class WSDLCreator 
{
	private String path;
// From this release this parameter is useless   
    private String JarPath;
	private String Destination;
    
	//wsdl2javaDest � il nome della directory in cui andiamo a salvare i file creati
	//JarPath � il path in cui sono salvati i jar di cui si ha bisogno
	// Destination � il path in cui verranno salvati i file appena creati
	// a cui va aggiunto anche il valore della variabile wsdl2javadest
	public WSDLCreator(String p,String JPath,String Dest ){
		path=p;
		JarPath = JPath;
		Destination=Dest;
	}
    
	//parsa la directory specificata alla ricerca di file con estensione .wsdl
	//per ogni file trovato carica il metodo createstub della classe WSDL2Java Creator
	//per la creazione degli stub.
	//alla fine ritorna un boolean per segnalare l'esito dell'operazione
	public boolean WSDL2Java() throws Exception{
		StringTokenizer st=null;
		File file=new File(path);
		String [] elenco_file=file.list();
        if (elenco_file == null){
            throw new Exception("PUPPET ERROR: No WSDL file(s) found in "+ path);
        }
        
        WSDL2JavaCreator wsdlCreator = new WSDL2JavaCreator(Destination);
		for(int i=0;i<elenco_file.length;i++)
		{
			try
			{
				st=new StringTokenizer(elenco_file[i],".");
				st.nextToken();
				String temp = st.nextToken();
				if(temp.equals("wsdl"))
				{
					//Generazione delle classi tramite la chiamata esterna al WSDL2JAVA
                  wsdlCreator.createAStub( path+elenco_file[i] );
				}
			}
			catch(Exception e){}
//			try
//			{
//				//devo dare modo al wsdl2java di creare i file altrimenti mi ritorna una eccezione
//				//"So such file found"
//                Thread.sleep(2000);
////                Thread.sleep(10000);
//			}
//			catch(Exception e)
//			{System.out.println(e);return false;}
		}
		return true;
	}
}
